Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.dialogs
Class ElementListSelectionDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.ui.dialogs.SelectionDialog
                  org.eclipse.ui.dialogs.SelectionStatusDialog
                      org.eclipse.ui.dialogs.AbstractElementListSelectionDialog
                          org.eclipse.ui.dialogs.ElementListSelectionDialog

public class ElementListSelectionDialog
extends AbstractElementListSelectionDialog

A class to select elements out of a list of elements.

Since:
  2.0

Nested Class Summary

Nested classes inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.ui.dialogs.AbstractElementListSelectionDialog
`fFilteredList`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, dialogArea, DLG_IMG_ERROR, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`ElementListSelectionDialog(Shell parent, ILabelProvider renderer)` Creates a list selection dialog.

Method Summary
`protected void` | `computeResult()` Compute the result and return it.
`protected Control` | `createDialogArea(Composite parent)` Creates and returns the contents of the upper part of this dialog (above the button bar).
`void` | `setElements(Object[] elements)` Sets the elements of the list.

Methods inherited from class org.eclipse.ui.dialogs.AbstractElementListSelectionDialog
`cancelPressed, create, createFilteredList, createFilterText, createMessageArea, getFilter, getFoldedElements, getSelectedElements, getSelectionIndex, getSelectionIndices, handleDefaultSelected, handleEmptyList, handleSelectionChanged, isCaseIgnored, open, setAllowDuplicates, setEmptyListMessage, setEmptySelectionMessage, setFilter, setIgnoreCase, setListElements, setMatchEmptyString, setMultipleSelection, setSelection, setSize, setValidator, updateOkState, validateCurrentSelection`

Methods inherited from class org.eclipse.ui.dialogs.SelectionStatusDialog
`configureShell, createButtonBar, getFirstResult, okPressed, setImage, setResult, setStatusLineAboveButtons, updateButtonsEnableState, updateStatus`

Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog
`createButtonsForButtonBar, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, buttonPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getInitialLocation, getInitialSize, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, setBlockOnOpen, setDefaultImage, setDefaultImages, setExceptionHandler, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementListSelectionDialog

    public ElementListSelectionDialog(Shell parent,
                                      ILabelProvider renderer)

  Creates a list selection dialog.

Parameters:
  `parent` - the parent widget.
  `renderer` - the label renderer.

Method Detail

### setElements

    public void setElements(Object[] elements)

  Sets the elements of the list.

  Parameters:
    `elements` - the elements of the list.

### computeResult

    protected void computeResult()

  Description copied from class: `SelectionStatusDialog`
  Compute the result and return it.

  Specified by:
    `computeResult` in class `SelectionStatusDialog`

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Description copied from class: `Dialog`
  Creates and returns the contents of the upper part of this dialog (above the button bar).

  The `Dialog` implementation of this framework method creates and returns a new `Composite` with standard margins and spacing.

  The returned control's layout data must be an instance of `GridData`. This method must not modify the parent's layout.

  Subclasses must override this method but may call `super` as in the following example:

       Composite composite = (Composite) super.createDialogArea(parent);
       //add controls to composite as necessary
       return composite;

  Overrides:
    `createDialogArea` in class `Dialog`
  Parameters:
    `parent` - the parent composite to contain the dialog area
  Returns:
    the dialog area control

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.